# SON-FEB18-FEB28-Peerplays-Release0.3Build2

### **User Stories/Defects Testing** <a href="#son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting" id="son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting"></a>

Release details : [https://peerplays.atlassian.net/projects/SON/versions/10117/tab/release-report-all-issues](https://peerplays.atlassian.net/projects/SON/versions/10117/tab/release-report-all-issues)



| T                                                                                                             | Key                                                       | Summary                                                                                                                                                                              | Status      |
| ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-130](https://peerplays.atlassian.net/browse/SON-130) | [\[Development\] As an SON, I am responsible for creating and signing a bitcoin transaction](https://peerplays.atlassian.net/browse/SON-130)                                         | TESTING     |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-131](https://peerplays.atlassian.net/browse/SON-131) | [\[Development\] Only the signed transactions will be submitted by the SON nodes to the witness nodes for incorporating into blocks](https://peerplays.atlassian.net/browse/SON-131) | IN PROGRESS |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-30](https://peerplays.atlassian.net/browse/SON-30)   | [\[Development\] Any multisig transaction should have at least half + 1 number of signatures (ex. 3-of-5).](https://peerplays.atlassian.net/browse/SON-30)                           | TESTING     |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-217](https://peerplays.atlassian.net/browse/SON-217) | [SON Maintenance and Heartbeat transition changes](https://peerplays.atlassian.net/browse/SON-217)                                                                                   | DONE        |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-231](https://peerplays.atlassian.net/browse/SON-231) | [\[Development\] Bitcoin Deposit Handler](https://peerplays.atlassian.net/browse/SON-231)                                                                                            | DONE        |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-233](https://peerplays.atlassian.net/browse/SON-233) | [SON Provide correct downtime metrics to user](https://peerplays.atlassian.net/browse/SON-233)                                                                                       | BLOCKED     |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-238](https://peerplays.atlassian.net/browse/SON-238) | [Support multiple SON nodes per software instance](https://peerplays.atlassian.net/browse/SON-238)                                                                                   | DONE        |
| ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-241](https://peerplays.atlassian.net/browse/SON-241) | [SON's owner account's private active wif key is removed from the wallet when a son is deregistered](https://peerplays.atlassian.net/browse/SON-241)                                 | DONE        |
| ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-242](https://peerplays.atlassian.net/browse/SON-242) | [list\_active\_sons throws exception after deleting an active son](https://peerplays.atlassian.net/browse/SON-242)                                                                   | DONE        |
| ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)  | [SON-260](https://peerplays.atlassian.net/browse/SON-260) | [\[Development\] Sidechain Token withdrawal](https://peerplays.atlassian.net/browse/SON-260)                                                                                         | DONE        |
| ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-261](https://peerplays.atlassian.net/browse/SON-261) | [Deposit transfer ( user address -> PW ) and Withdrawal transfer ( PW -> user address ) for m-of-n multisig](https://peerplays.atlassian.net/browse/SON-261)                         | TESTING     |
| ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)   | [SON-262](https://peerplays.atlassian.net/browse/SON-262) | [SON node crashes for a specific case](https://peerplays.atlassian.net/browse/SON-262)                                                                                               | DONE        |

1–12 of 12\
